Bug 1571286 - [BACKPORT-13] Implement CPU weighter filter
Summary: [BACKPORT-13] Implement CPU weighter filter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 13.0 (Queens)
Assignee: Stephen Finucane
QA Contact: nova-maint
URL: https://blueprints.launchpad.net/nova...
Whiteboard:
Depends On: 1469073 1565089 1576882 1576888 1582406 1582409 1582412 1582413
Blocks: 1476900 1573209 1573210 1576885 1576887 1732909
TreeView+ depends on / blocked
 
Reported: 2018-04-24 12:53 UTC by Erwan Gallen
Modified: 2020-08-05 11:22 UTC (History)
22 users (show)

Fixed In Version: openstack-nova-17.0.5-2.d7864fbgit.el7ost
Doc Type: Enhancement
Doc Text:
You can use the weigher `CPUWeigher` to spread (default) or pack workloads on hosts based on their vCPU usage. You can set the nova.conf `[filter_scheduler] cpu_weight_multiplier` configuration option to -1.0 or 1.0. If you set this option to 1.0, instances are spread across hosts. If you set this option to -1.0, instances are packed on a host. If you set the value to 0, the weigher is disabled.
Clone Of: 1565089
: 1573209 1576885 (view as bug list)
Environment:
Last Closed: 2018-11-13 22:13:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 379525 0 'None' MERGED Add CPUWeigher 2020-09-16 09:16:45 UTC
Red Hat Knowledge Base (Solution) 3109111 0 None None None 2018-04-24 12:53:54 UTC
Red Hat Product Errata RHBA-2018:3602 0 None None None 2018-11-13 22:16:14 UTC

Comment 8 Joanne O'Flynn 2018-08-13 10:09:19 UTC
This bug is marked for inclusion in the errata but does not currently contain draft documentation text. To ensure the timely release of this advisory please provide draft documentation text for this bug as soon as possible.

If you do not think this bug requires errata documentation, set the requires_doc_text flag to "-".


To add draft documentation text:

* Select the documentation type from the "Doc Type" drop down field.

* A template will be provided in the "Doc Text" field based on the "Doc Type" value selected. Enter draft text in the "Doc Text" field.

Comment 11 errata-xmlrpc 2018-11-13 22:13:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3602


Note You need to log in before you can comment on or make changes to this bug.